Bug 2103175 - disabling ipv6 router advertisements using "all" does not disable it on secondary interfaces
Summary: disabling ipv6 router advertisements using "all" does not disable it on secon...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.10.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On: 2103177
Blocks: 2101664
TreeView+ depends on / blocked
 
Reported: 2022-07-01 15:31 UTC by Douglas Smith
Modified: 2022-08-01 11:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2101664
: 2103177 (view as bug list)
Environment:
Last Closed: 2022-08-01 11:35:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift containernetworking-plugins pull 63 0 None open Bug 2103175: Sysctl IFNAME [backport 4.10] 2022-07-19 17:41:27 UTC
Red Hat Product Errata RHSA-2022:5730 0 None None None 2022-08-01 11:36:02 UTC

Description Douglas Smith 2022-07-01 15:31:57 UTC
+++ This bug was initially created as a clone of Bug #2101664 +++

Description of problem:
OCP 4.7, and 4.9 

Trying to disable the use of SLAAC within a container consuming an SRIOV vf using the net.ipv6.conf.all.accept_ra":  0

does not appear to disable it on the secondary interface in the pod

we set the following sysctl

net.ipv6.conf.all.accept_ra = 0

and looking at the secondary interface (nabeel1) see:

net.ipv6.conf.nabeel1.accept_ra = 1


We are still working to gather some more information and data but we were alerted to the following and not sure if that is what is affecting us:

https://github.com/containernetworking/plugins/pull/669

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Tom Sweeney on 2022-06-30 00:30:53 UTC ---

This seems like an OCP issue to me, assigning to Peter to take a look .  @dornelas if you have thoughts on other landing spots, please let me know.

--- Additional comment from Douglas Smith on 2022-06-30 13:16:29 UTC ---

Looks like a fix to the container networking plugins. Assigning to me.

Comment 1 Douglas Smith 2022-07-01 16:01:07 UTC
For verification, use this YAML:

```
---
apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: example-tuning-conf
spec:
  config: >
    {
      "cniVersion": "0.4.0",
      "name": "example-tuning-conf",
      "plugins": [{
        "type": "bridge",
        "bridge": "test1234",
        "ipam": {
          "type": "host-local",
          "subnet": "192.168.1.0/24",
          "rangeStart": "192.168.1.200",
          "rangeEnd": "192.168.1.216",
          "routes": [
            { "dst": "0.0.0.0/0" }
          ],
          "gateway": "192.168.1.1"
        }
      },
        {
          "type": "tuning",
          "sysctl": {
            "net.ipv6.conf.IFNAME.accept_ra": "0"
          }
        }
      ]
    }
---
apiVersion: v1
kind: Pod
metadata:
  name: samplepod
  annotations:
    k8s.v1.cni.cncf.io/networks: example-tuning-conf
spec:
  containers:
  - name: samplepod
    command: ["/bin/ash", "-c", "trap : TERM INT; sleep infinity & wait"]
    image: alpine
```

The resulting pod should have accept_ra set to zero, such as:

```
$ oc exec -it samplepod -- cat /proc/sys/net/ipv6/conf/net1/accept_ra
0
```

Comment 3 Nikhil Simha 2022-07-20 19:16:26 UTC
I was able to get the expected output following the procedure in comment #1, marking as verified.

Comment 6 errata-xmlrpc 2022-08-01 11:35:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.25 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5730


Note You need to log in before you can comment on or make changes to this bug.